When I create a new project, for some reason I can't use any dart sdk tools, but when I run my code it still works.

This happens only to new projects, not old ones. Both flutter and dart extensions installed on vscode.

I am new to programming, if there is any information that may help, please ask!

I did run flutter doctor and flutter analyze; no issues. I also ran flutter clear then flutter run; didn't work either.


Solution 1: Zavier Xx

I remembered that I accidently opened my projects folder using vscode, so I checked for a .idea file. I found it and deleted it then everything worked again magically.